package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ApAbiTemp.
 * @see sicura.entities.ApAbiTemp
 * @author Hibernate Tools
 */
@Stateless
public class ApAbiTempHome {

	private static final Log log = LogFactory.getLog(ApAbiTempHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ApAbiTemp transientInstance) {
		log.debug("persisting ApAbiTemp instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ApAbiTemp persistentInstance) {
		log.debug("removing ApAbiTemp instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ApAbiTemp merge(ApAbiTemp detachedInstance) {
		log.debug("merging ApAbiTemp instance");
		try {
			ApAbiTemp result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ApAbiTemp findById(String id) {
		log.debug("getting ApAbiTemp instance with id: " + id);
		try {
			ApAbiTemp instance = entityManager.find(ApAbiTemp.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
